Package Details: rss2email-wking 3.9-1

Git Clone URL: https://aur.archlinux.org/rss2email-wking.git (read-only)
Package Base: rss2email-wking
Description: A tool for delivering news from RSS feeds to your email program
Upstream URL: https://github.com/wking/rss2email
Licenses: GPL
Conflicts: rss2email, rss2email-git, rss2email-xdg-git
Submitter: thiagoc
Maintainer: thiagoc
Last Packager: thiagoc
Votes: 8
Popularity: 0.261280
First Submitted: 2013-05-15 12:47
Last Updated: 2015-06-19 12:30

Latest Comments

vesath commented on 2017-04-21 21:27

The issue is in python-feedparser's feedparser.py, line 855 and 859: sometimes the type of piece is bytes (not str) so startswith fails. But when I fix this I get another error later:

sax parsing error: <unknown>:36:69: not well-formed (invalid token)

No idea what that is about.

vesath commented on 2017-03-20 08:17

Ah, it's apparently not a new issue: https://github.com/wking/rss2email/issues/94

I'll try to find a workaround...

vesath commented on 2017-03-20 05:55

For the past couple of days, when I do `r2e run` I keep getting:

error while running time limited function: startswith first arg must be bytes or a tuple of bytes, not str
cause: startswith first arg must be bytes or a tuple of bytes, not str

Any idea what might be the problem?

cmb commented on 2015-01-29 18:50

3.9 has been out for a while.

thiagoc commented on 2013-05-22 11:21

Actually it is a fork with fixes and some new features, like IMAP support.

cmb commented on 2013-05-22 06:41

Is this the designated successor to rss2email?
I'm not really clear on that, since I never saw a note from Lindsey Smith
(long-time rss2email maintainer) about it.
If it is, I'd like to see this merged with the original rss2email package,
just for sanity's sake. Alternatively, this package might be renamed
to rss2email, and the current rss2email could be renamed to rss2email-legacy,
if there's some good reason to keep 2.71 around.

thiagoc commented on 2013-05-15 15:55

@wking yeah, I updated the package. Thanks.

Anonymous comment on 2013-05-15 15:25

Thiago. I left a few comments about manpage/doc installation on your pull request [1]. I'm not very familiar with PKGBUILD packaging, but you may have also missed listing a conflict with rss2email-xdg-git [2].

[1]: https://github.com/wking/rss2email/pull/9#issuecomment-17937640
[2]: https://aur.archlinux.org/packages/rss2email-xdg-git/